# Function register

- register(tagName, ctor): void

- Register a constructor for a custom WebElement for a given tag name.

  #### Parameters

  - ##### tagName: string

    The DOM tag name for the custom element

  - ##### ctor: (new (el, locators) => OjWebElement)

    The constructor function for the custom WebElement

    - - new (el, locators): OjWebElement

      - #### Parameters

        - ##### el: WebElement

        - ##### locators: ElementLocators

        #### Returns OjWebElement

  #### Returns void

Generated using TypeDoc